Page MenuHomePhabricator

efl: major rewrite of efl_part.
ClosedPublic

Authored by cedric on May 7 2018, 11:30 AM.

Details

Summary

The interface efl_part_get should not be directly called from C, but the efl_part
wrapper should. It rely on efl_noref to properly destroy the object. Binding can
control the lifecycle of the reference the way they want by either calling the
wrapper or efl_part_get directly. It also means that the ugly ___efl_auto_unref_set
doesn't need to be exposed outside of EFL anymore.
Depends on D6097

Diff Detail

Repository
rEFL core/efl
Branch
devs/cedric/lifecycle
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 6204
cedric created this revision.May 7 2018, 11:30 AM
This revision was not accepted when it landed; it landed in state Needs Review.May 24 2018, 4:15 PM
This revision was automatically updated to reflect the committed changes.
jpeg awarded a token.Nov 26 2018, 1:24 AM